#!/usr/bin/perl -w
#
#
#  Author: Preslav Nakov, QCRI
#  
#  Description: Puts back the English text at the place of the underscores.
#
#  Last modified:  13, 2012
#
#


use strict;
use utf8;


#####################
###   I/O FILES   ###
#####################

### Input files
use constant INPUT_FILE  => $ARGV[0];
use constant DICT_FILE   => $ARGV[1];
use constant OUTPUT_FILE => INPUT_FILE . '.English_back';


my %tokens = ();

open(INPUT, INPUT_FILE) or die 'Failed to open for reading ' . INPUT_FILE;
binmode(INPUT, ":utf8");

open(OUTPUT, '>' . OUTPUT_FILE) or die 'Failed to open for reading ' . OUTPUT_FILE;
binmode(OUTPUT, ":utf8");

open(DICT, DICT_FILE) or die 'Failed to open for reading ' . DICT_FILE;
binmode(DICT, ":utf8");

for (my $lineNo = 1; <INPUT>; $lineNo++) {

	s/-LRB-/\(/g;
	s/-RRB-/\)/g;

	while (/%%%%%/) {
		
		my $line = <DICT>;
		die "Wrong file format!" if ($line !~ /^([0-9]+)[ \t](.*)/);
		
		my ($dictLineNo, $dictText) = ($1, $2);
		die "Wrong dictionary file!" if ($lineNo != $dictLineNo);

		s/%%%%%/ $dictText /;

	}
	s/  +/ /g;
	s/^ +//;
	s/ +$//;

	print OUTPUT;

}

close(INPUT);
close(OUTPUT);
close(DICT);
