INPUT=$1
OUTPUT=$1\.mada_norm-aramorph.europarl_tok
INTERM=$(dirname $OUTPUT)/$(basename $INPUT).tmp
cp $INPUT $INTERM

echo 1. Concatinating Waa
perl concat-waa.perl < $INTERM > $INTERM.ccw

echo 2. Removing the English text from the Arabic input and creating an English dictionary
perl remove_english_create_dict.perl $INTERM.ccw

echo 3. Processing Arabic using MADA
/work/MADA-3.2-Aramorph/MADA+TOKAN.pl config=madaconfig-aramorph1.2.1.enr file=$INTERM.ccw\.noEnglish
\rm $INTERM.ccw\.noEnglish.bw
\rm $INTERM.ccw\.noEnglish.bw.mada

echo 4. Putting the English text back inside the processed Arabic text
perl put_english_back.perl $INTERM.ccw\.noEnglish.bw.mada.tok.enr $INTERM.ccw\.noEnglish.dictFile

echo 5. Tokenizing the output with the Europarl tokenizer
perl europarl-tokenizer.perl -a -l ar < $INTERM.ccw\.noEnglish.bw.mada.tok.enr.English_back > $INTERM.ccw\.noEnglish.bw.mada.tok.enr.English_back.tok

echo 6. Fixing the two dots
perl fix2dots.perl < $INTERM.ccw\.noEnglish.bw.mada.tok.enr.English_back.tok > $OUTPUT

echo 7. Cleaning up
rm $INTERM*

